View Issue Details

IDProjectCategoryView StatusLast Update
0004723SymmetricDSImprovementpublic2022-04-26 17:43
Reporterkraynopp Assigned Toelong  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.12.5 
Target Version3.14.0Fixed in Version3.14.0 
Summary0004723: Send column with Oracle DATE type to PostgreSQL
DescriptionIf source table in oracle contains DATE column, the target table in PostgreSQL should be created with "timeatmp(0) without time zone" datatype instead of "timeatmp without time zone" (without milliseconds). Oracle DATE datatype does not contain milliseconds so sometimes it leads to conflict.
Tagsddl/schema

Relationships

related to 0005280 resolvedelong Table DDL with timestamp and fractional second precision 

Activities

josh-a-hicks

2021-01-06 18:35

developer   ~0001879

Should only be an issue while moving data from PG to Oracle and the column is part of the PK.

kraynopp

2021-01-11 07:13

reporter   ~0001880

Not only PK. It will be an issue if conflict resolution is configured.

2021-01-11 09:55:58,186 DEBUG [oracle-001] [DefaultDatabaseWriter] [oracle-001-dataloader-3] Preparing dml: update "DATA"."SYMTEST1" set "DATA_DATE" = ? where "DATA_DATE" = ? and "KEY1" = ?
2021-01-11 09:55:58,186 DEBUG [oracle-001] [DefaultDatabaseWriter] [oracle-001-dataloader-3] Submitting data [{ts '2021-01-11 09:55:21.913'}, {ts '2021-01-11 09:53:28.626'}, 1] with types [TIMESTAMP, TIMESTAMP, NUMERIC]
2021-01-11 09:55:58,189 DEBUG [oracle-001] [AbstractDatabaseWriterConflictResolver] [oracle-001-dataloader-3] Conflict detected: pgsql_2_oracle in batch 215 at line 1 for table DATA.SYMTEST1
2021-01-11 09:55:58,191 DEBUG [oracle-001] [AbstractDatabaseWriterConflictResolver] [oracle-001-dataloader-3] Row data: "1","1.20","2021-01-11 09:55:21.913366","Proba4"
2021-01-11 09:55:58,191 DEBUG [oracle-001] [AbstractDatabaseWriterConflictResolver] [oracle-001-dataloader-3] Old data: "1","1.20","2021-01-11 09:53:28.626937","Proba4"
2021-01-11 09:55:58,192 DEBUG [oracle-001] [DataLoaderService$LoadIntoDatabaseOnArrivalListener$1] [oracle-001-dataloader-3] CSV parsed: commit,215

BTW, the bug https://www.symmetricds.org/issues/view.php?id=4724 will result the same conflict.

Issue History

Date Modified Username Field Change
2020-12-24 08:46 kraynopp New Issue
2020-12-24 08:46 kraynopp Tag Attached: ddl/schema
2021-01-06 18:35 josh-a-hicks Note Added: 0001879
2021-01-06 21:37 elong Status new => acknowledged
2021-01-11 07:13 kraynopp Note Added: 0001880
2022-04-26 17:41 elong Relationship added related to 0005280
2022-04-26 17:43 elong Assigned To => elong
2022-04-26 17:43 elong Status acknowledged => resolved
2022-04-26 17:43 elong Resolution open => fixed
2022-04-26 17:43 elong Fixed in Version => 3.14.0
2022-04-26 17:43 elong Target Version => 3.14.0